Skip to main content
`Ctrl`+`K`

# PetscParallelSortedInt

Check whether a `PetscInt` array, distributed over a communicator, is globally sorted.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscParallelSortedInt(MPI_Comm comm, PetscInt n, const PetscInt keys[], PetscBool *is_sorted)

Collective

## Input Parameters

- comm - the MPI communicator

- n - the local number of `PetscInt`

- keys - the local array of `PetscInt`

## Output Parameters

- is_sorted - whether the array is globally sorted

## See Also

`PetscParallelSortInt()`

## Level

developer

## Location

src/sys/utils/sorti.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages